%define name gnobog
%define version 0.4.3
%define release 8mdk

Name:		%{name}
Summary:	Gnome Bookmarks Organizer
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
Source:		%{name}-%{version}.tar.bz2
# (fc) 0.4.3-4mdk fix compilation with latest version of GNOME1 platform
Patch0:		gnobog-0.4.3-gnome1.patch.bz2
Url:		http://www.nongnu.org/gnobog/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Requires:	gnome-libs >= 1.2 
# because of gnome terminal, will be fixed when there is a preference dialog
Requires:	gnome-core
Requires:	gtk+ >= 1.2 
Requires:	libglade 
BuildRequires:	automake1.4
BuildRequires:	gcc
BuildRequires:	libglade-devel
BuildRequires:	texinfo
# for documentation generation (reminder, not useful :-)
#BuildRequires: sgml-tools >= 1.0.9-10mdk
#BuildRequires: docbook-dtd31-sgml    
#BuildRequires: docbook-style-dsssl >= 1.57

%description
Gnobog (Gnome Bookmarks Organizer) is a tool to manage bookmarks 
easily and ease web/ftp surfing.

%prep
%setup -q
%patch -p1 -b .gnome1

# needed by patch 1
automake-1.4

%build
%configure
%make

%install
%makeinstall

%find_lang %{name}

#Menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.xpm" \
                 needs="X11" section="Networking/WWW" title="Gnobog" \
                 longtitle="Gnome Bookmarks Organizer"
EOF

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files -f %{name}.lang
#%files
%defattr(-,root,root,755)
%{_bindir}/*
%{_menudir}/%{name}
%{_datadir}/pixmaps/*
%{_iconsdir}/*.png
%{_iconsdir}/*.xpm
%{_liconsdir}/*
%{_miconsdir}/*
%{_datadir}/%{name}
%dir %{_datadir}/gnome/help/%{name}
%dir %{_datadir}/gnome/help/%{name}/C
%{_datadir}/gnome/help/%{name}/C/*
/usr/share/gnome/apps/*/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* 

%changelog
* Mon Feb 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.3-8mdk
- needs automake 1.4

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.3-7mdk
- fix DIRM error

* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.3-6mdk
- rebuild for rpm 4.2
- update url

* Thu Feb 14 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4.3-5mdk
- BuildRequires

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.3-4mdk
- Patch0: fix compilation with latest version of GNOME 1 platform

* Sat Nov  3 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.3-3mdk
- BuildRequires: libxml-devel
- Copyright --> License
- Removed BuildRequires: db1-devel

* Tue Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.3-2mdk
- BuildRequires:	db1-devel
- Removed BuildRequires:	gnome-libs-devel >= 1.2 
- Removed BuildRequires:	gtk+-devel >= 1.2 

* Thu May  3 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4.3-1mdk
- new version

* Tue Dec  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4.2-1mdk
- new version

* Sun Sep 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4.1-2mdk
- patch to improve 'the save as' ui

* Wed Sep 20 2000 Renaud Chaillat <renaud_chaillat@netcourrier.com> 0.4.1-1mdk
- new version

* Wed Aug 29 2000 Renaud Chaillat <renaud_chaillat@netcourrier.com> 0.4.0-1mdk
- initial specfile


